# Class InputTableParameter

java.lang.Object
uk.ac.starlink.task.Parameter<uk.ac.starlink.table.StarTable>
uk.ac.starlink.ttools.task.AbstractInputTableParameter<uk.ac.starlink.table.StarTable>
uk.ac.starlink.ttools.task.InputTableParameter

public class InputTableParameter extends AbstractInputTableParameter<uk.ac.starlink.table.StarTable>
Parameter for specifying a single input table.

Author:
  Mark Taylor

## Field Summary

### Fields inherited from class uk.ac.starlink.task.Parameter

`BY_NAME`

## Constructor Summary

Constructors
Constructor
Description
`InputTableParameter(String name)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`objectToString(uk.ac.starlink.task.Environment env, uk.ac.starlink.table.StarTable table)`
`uk.ac.starlink.table.StarTable`
`stringToObject(uk.ac.starlink.task.Environment env, String sval)`
Returns the input table which has been selected by this parameter.
`uk.ac.starlink.table.StarTable`
`tableValue(uk.ac.starlink.task.Environment env)`

### Methods inherited from class AbstractInputTableParameter

`getFormatParameter, getLocationFormList, getStreamParameter, makeTable, makeTable, makeTables, setTableDescription`

### Methods inherited from class uk.ac.starlink.task.Parameter

`clearValue, getDescription, getName, getPosition, getPreferExplicit, getPrompt, getStringDefault, getUsage, getValueClass, isNullPermitted, objectValue, setDescription, setDescription, setName, setNullPermitted, setPosition, setPreferExplicit, setPrompt, setStringDefault, setUsage, setValue, setValueFromObject, setValueFromString, stringValue, toArray, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InputTableParameter

public InputTableParameter(String name)
Constructor.

Parameters:
  `name` - parameter name

## Method Details

### stringToObject

public uk.ac.starlink.table.StarTable stringToObject(uk.ac.starlink.task.Environment env, String sval) throws uk.ac.starlink.task.TaskException
Returns the input table which has been selected by this parameter.

Specified by:
  `stringToObject` in class `uk.ac.starlink.task.Parameter<uk.ac.starlink.table.StarTable>`
Parameters:
  `env` - execution environment
Throws:
  `uk.ac.starlink.task.TaskException`

### objectToString

public String objectToString(uk.ac.starlink.task.Environment env, uk.ac.starlink.table.StarTable table)

Overrides:
  `objectToString` in class `uk.ac.starlink.task.Parameter<uk.ac.starlink.table.StarTable>`

### tableValue

public uk.ac.starlink.table.StarTable tableValue(uk.ac.starlink.task.Environment env) throws uk.ac.starlink.task.TaskException

Throws:
  `uk.ac.starlink.task.TaskException`